- Qt 5.15
- Qt GUI
- C++ Classes
- QNativeGestureEvent
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QNativeGestureEvent

The following members of class QNativeGestureEvent are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` | QNativeGestureEvent(Qt::NativeGestureType type, const QPointF &localPos, const QPointF &windowPos, const QPointF &screenPos, qreal realValue, ulong sequenceId, quint64 intValue)

## Member Function Documentation

### QNativeGestureEvent::QNativeGestureEvent(Qt::NativeGestureType type, const QPointF &localPos, const QPointF &windowPos, const QPointF &screenPos, qreal realValue, ulong sequenceId, quint64 intValue)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

The QTouchDevice parameter is now required